#ifndef XMATERIALTEXTUREDEFINFO_H
#define XMATERIALTEXTUREDEFINFO_H

#include "xasset.h"
#include "xgfximage.h"
#include "xwater.h"

class XMaterialTextureDef;

class XMaterialTextureDefInfo : public XAsset
{
public:
    explicit XMaterialTextureDefInfo();
    XMaterialTextureDefInfo(XMaterialTextureDef& aParent);
    ~XMaterialTextureDefInfo();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    XGfxImage mImage;
    XWater mWater;
    XMaterialTextureDef* aParent;
};

#endif // XMATERIALTEXTUREDEFINFO_H
